// Docs at http://simpleweatherjs.com

/* Does your browser support geolocation? */

$(document).ready(function() {
  navigator.geolocation.getCurrentPosition(function(position) {
    loadWeather(position.coords.latitude+','+position.coords.longitude); //load weather using your lat/lng coordinates
	});
});


function loadWeather(location, woeid) {
  $.simpleWeather({
    location: location,
    woeid: woeid,
    unit: 'c',
    success: function(weather) {
	  $('#helloskeem').delay(400).fadeOut(300);
	  $('#loadskeem').delay(100).fadeOut(300);
      html = '<div class="swiper-slide day-view">'
	  
	  html += '<div class="col-sm-6 col-xs-10 degs"><i class="icon-'+weather.code+'"></i><h2>'+weather.temp+'&deg;'+weather.units.temp+'</h2></div>';
	  
	  var nzemting = weather.code;
		if ((nzemting == '22') || (nzemting == '23') || (nzemting == '24') || (nzemting == '25') || (nzemting == '26') || (nzemting == '27') || (nzemting == '28') || (nzemting == '29') || (nzemting == '30') || (nzemting == '31') || (nzemting == '32') || (nzemting == '33') || (nzemting == '34') || (nzemting == '36') || (nzemting == '44')){
			html += '<div class="ndex col-sm-6 col-xs-10"><p> Ku<span>'+weather.currently+'</span> skeem.</p></div>';
		}
		else {
			html += '<div class=" ndex col-sm-6 col-xs-10"><p> Kule<span>'+weather.currently+'</span> skeem.</p></div>';
		}
	  
		  var nzemting = weather.code;
		if ((nzemting == '22') || (nzemting == '23') || (nzemting == '24') || (nzemting == '25') || (nzemting == '26') || (nzemting == '27') || (nzemting == '28') || (nzemting == '29') || (nzemting == '30') || (nzemting == '31') || (nzemting == '32') || (nzemting == '33') || (nzemting == '34') || (nzemting == '36') || (nzemting == '44')){
			html += '<div class="shox col-sm-6 col-xs-10"><p> Kuri<span>'+weather.currently+'</span> sha.</p></div>';
		}
		else {
			html += '<div class="shox col-sm-6 col-xs-10"><p> Kune<span>'+weather.currently+'</span> sha.</p></div>';
		  };	  
	  html += '<div class="khip col-sm-6 col-xs-10"><p><span>Ziyakhipha</span> skeem.</p></div>';
	  html += '<div class="faya col-sm-6 col-xs-10"><p><span>Zvirikufaya</span> sha.</p></div>';
	  var timestamp = moment(weather.updated);
      html += '<div class="footer col-sm-12">Updated '+moment(timestamp).fromNow()+'. <a href="javascript:void()"><i class="fa fa-refresh"></i></a></div>';  
	  html += '</div>';
	  html +='<div class="swiper-slide forecast-view">';
	  html +='<div class="col-xs-12"><h4><i class="fa fa-angle-up"></i> Forecast</h4></div>';
	  html +='<ul>';
	  for(var i=0;i<weather.forecast.length;i++) {
        html += '<li class="row"><div class="col-xs-4"><span class="forday">'+weather.forecast[i].day+'</span></div><div class="col-xs-4"><i class="fa fa-arrow-down"></i> <span>'+weather.forecast[i].low+'</span><i class="icon-'+weather.forecast[i].code+'"></i></div><div class="col-xs-4"><i class="fa fa-arrow-up"></i> <span>'+weather.forecast[i].high+'</span><i class="icon-'+weather.forecast[i].code+'"></i></div></li>';
      };
	  html += '</ul>';
	  html += '</div>';
	  $(".swiper-wrapper").html(html);	
	  
	  $('.footer a').on('click', function() {
		  navigator.geolocation.getCurrentPosition(function(position) {
			loadWeather(position.coords.latitude+','+position.coords.longitude); //load weather using your lat/lng coordinates
		  });
		  $('.footer a i').addClass('fa-spin');
		  $('#loadskeem').fadeIn(500);
		});
	  
	  var temps = weather.temp;
	  
	  if(temps > 16) {
        $('body').css('background','#a5261c', 1500);
      } else {
        $('body').css('background','#063349', 1500);
      }  
	  
	  if(temps > 16) {
        $('.fa-refresh').css('color','#a5261c', 1500);
      } else {
        $('.fa-refresh').css('color','#063349', 1500);
      } 
	  
	  var slideheight = $('.st-content-inner').height() - 50;	
	$('.swiper-slide').css('height', slideheight);
	$('.swiper-slide').css('width', '100%');
	var mySwiper = new Swiper('.swiper-container',{
	  pagination: false,
	  paginationClickable: true,
	  slidesPerView: 'auto',
	  mode: 'vertical'
	})
	
	mySwiper.addCallback('SlideChangeStart', function(swiper){
	  	$('.swiper-slide .footer').css({
		  	'color': 'transparent',
    	   'text-shadow': '0 0 5px rgba(255,255,255,0.5)'
		  });
		  
		  $('.swiper-slide .footer a').fadeOut(0);
		  
		  $('.swiper-slide-active  .footer').css({
		  	'color': '#fff',
    	   'text-shadow': 'none'
		  });
		  
		  $('.swiper-slide-active .footer a').fadeIn(0);
		  $('.swiper-slide h4 i').removeClass('fa-angle-down').addClass('fa-angle-up');
		  $('.swiper-slide-active h4 i').removeClass('fa-angle-up').addClass('fa-angle-down');
	}) 
	
		
		},
		error: function(error) {
		  $(".day-view").html('<p>'+error+'</p>');
		}
		
	
  });
}

$(document).ready(function() {
		 
		  $('input').change( 
		function(){ 
		
			if ($(this).val() == "ndebele") { 
				$('.shox').hide();
				$('.khip').hide();
				$('.faya').hide();
				$('.ndex').fadeIn();
			} 
			else { 
			}
			
			if ($(this).val() == "shona") { 
				$('.ndex').hide();
				$('.khip').hide();
				$('.faya').hide();
				$('.shox').fadeIn();
			} 
			else { 
			}
			
			if ($(this).val() == "khip") { 
				$('.ndex').hide();
				$('.shox').hide();
				$('.faya').hide();
				$('.khip').fadeIn();
			} 
			else { 
			} 
			
			if ($(this).val() == "faya") { 
				$('.ndex').hide();
				$('.shox').hide();
				$('.khip').hide();
				$('.faya').fadeIn();
			} 
			else { 
			} 
			
			
			
		}); 
});

